
From: Pavel Machek <pavel@ucw.cz>

swsusp low-level assembly requires PSE (4mb pages for kernel) and
DEBUG_PAGEALLOC disables that capability.

Tell people what went wrong, some people seen same problem on VIA cpus... 

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/suspend.h |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/suspend.h~swsusp-fails-to-suspend-if-config_debug_pagealloc-is-also-enabled include/asm-i386/suspend.h
--- 25/include/asm-i386/suspend.h~swsusp-fails-to-suspend-if-config_debug_pagealloc-is-also-enabled	2005-03-07 20:41:32.000000000 -0800
+++ 25-akpm/include/asm-i386/suspend.h	2005-03-07 20:41:32.000000000 -0800
@@ -10,10 +10,12 @@ static inline int
 arch_prepare_suspend(void)
 {
 	/* If you want to make non-PSE machine work, turn off paging
-           in do_magic. swsusp_pg_dir should have identity mapping, so
+           in swsusp_arch_suspend. swsusp_pg_dir should have identity mapping, so
            it could work...  */
-	if (!cpu_has_pse)
+	if (!cpu_has_pse) {
+		printk(KERN_ERR "PSE is required for swsusp.\n");
 		return -EPERM;
+	}
 	return 0;
 }
 
_
